# telegram.ChatPhoto

class telegram.ChatPhoto(small_file_id, small_file_unique_id, big_file_id, big_file_unique_id, bot=None, **_kwargs)

  Bases: `telegram.base.TelegramObject`

  This object represents a chat photo.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `small_file_unique_id` and `big_file_unique_id` are equal.

  Parameters

    - small_file_id (`str`) – Unique file identifier of small (160x160) chat photo. This file_id can be used only for photo download and only for as long as the photo is not changed.

    - small_file_unique_id (`str`) – Unique file identifier of small (160x160) chat photo, which is supposed to be the same over time and for different bots. Can’t be used to download or reuse the file.

    - big_file_id (`str`) – Unique file identifier of big (640x640) chat photo. This file_id can be used only for photo download and only for as long as the photo is not changed.

    - big_file_unique_id (`str`) – Unique file identifier of big (640x640) chat photo, which is supposed to be the same over time and for different bots. Can’t be used to download or reuse the file.

    - bot (`telegram.Bot`, optional) – The Bot to use for instance methods

    - **kwargs (`dict`) – Arbitrary keyword arguments.

  small_file_id

    File identifier of small (160x160) chat photo. This file_id can be used only for photo download and only for as long as the photo is not changed.

    Type

      `str`

  small_file_unique_id

    Unique file identifier of small (160x160) chat photo, which is supposed to be the same over time and for different bots. Can’t be used to download or reuse the file.

    Type

      `str`

  big_file_id

    File identifier of big (640x640) chat photo. This file_id can be used only for photo download and only for as long as the photo is not changed.

    Type

      `str`

  big_file_unique_id

    Unique file identifier of big (640x640) chat photo, which is supposed to be the same over time and for different bots. Can’t be used to download or reuse the file.

    Type

      `str`

  get_big_file(timeout=None, api_kwargs=None)

    Convenience wrapper over `telegram.Bot.get_file` for getting the big (640x640) chat photo

    For the documentation of the arguments, please see `telegram.Bot.get_file()`.

    Returns

      `telegram.File`

    Raises

      telegram.error.TelegramError –

  get_small_file(timeout=None, api_kwargs=None)

    Convenience wrapper over `telegram.Bot.get_file` for getting the small (160x160) chat photo

    For the documentation of the arguments, please see `telegram.Bot.get_file()`.

    Returns

      `telegram.File`

    Raises

      telegram.error.TelegramError –